var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;
class PutTypeCtl extends CtlBase {
  constructor() {
    super("configmag", CtlBase.getServiceName(PutTypeCtl));
  }

  async create(pobj, qobj, req) {
    pobj.company_id = req && req.xctx && req.xctx.companyid ?req.xctx.companyid : "";
    const up = await this.service.create(pobj);
    return up;
  }

  async update(pobj, qobj, req) {
    const up = await this.service.update(pobj);
    return up;
  }

  async delete(pobj, qobj, req) {
    const up = await this.service.delete(pobj);
    return up;
  }
}
module.exports = PutTypeCtl;
